ssossossosso

Forums

Covering OroCRM topics, including community updates and company announcements.  Subscribe

This topic contains 4 replies, has 3 voices, and was last updated by  mbyta 3 years, 2 months ago.

  • Creator
    Topic
  • #5381

    mbyta
    Participant

    After finishing the installation, I’m redirected to the login screen.
    And on loading that page, I get this error:

    Call to undefined method Oro\Bundle\NavigationBundle\Menu\Matcher\Voter\RequestVoter::setUri() in [path]\vendor\oro\platform\src\Oro\Bundle\NavigationBundle\Menu\Matcher\Voter\RequestVoter.php on line 19

    Does anyone see what might be the problem please ?

    NB:
    I checked out on tag “1.2.0” at revision 574d63fe69bddd6df922f83f36e59dedcdf15e67

    My system:
    Windows 7
    Apache 2.2.4
    PHP 5.4.12
    MySQL 5.6.12

Viewing 4 replies - 1 through 4 (of 4 total)
  • Author
    Replies
  • #5387

    Alexandr Smaga
    Participant

    Hello @mbyta

    Could you please check the version of knp-menu and knp-menu-bundle, oro-crm and oro-platform requires version 2.0-alfa. It seems for me that you have later version, i’m aware of this issue and we plan to fix this later on because knp removed this method (see discussion)

    #5392

    mbyta
    Participant

    Hi Alexandr,

    Here are the versions of knp-menu and knp-menu-bundle on my composer.lock file:

    “name”: “knplabs/knp-menu”,
    “version”: “dev-master”,

    “name”: “knplabs/knp-menu-bundle”,
    “version”: “dev-master”,

    So, are you suggesting I should change my composer.lock file to this ?
    “name”: “knplabs/knp-menu”,
    “version”: “2.0-alfa”,

    “name”: “knplabs/knp-menu-bundle”,
    “version”: “2.0-alfa”,

    By the way, if I want just to test the CRM where should I check out ?
    I’m currently at 1.2.0 or should I move to master ?

    Thanks

    #5398
    Yevhen Shyshkin
    Yevhen Shyshkin
    Oro Core

    Hello, mbyta.

    Thank you for reporting, it’s known issue. You should either update knp-menu version to alpha2 in composer.json

    or you can update to CRM 1.3.0 that already fixed this issue.

    > By the way, if I want just to test the CRM where should I check out ? I’m currently at 1.2.0 or should I move to master ?
    If you want to test OroCRM I’d recommend you to checkout latest stable tag – now it’s 1.3.0.

    #5405

    mbyta
    Participant

    Thanks a lot Yevhen

Viewing 4 replies - 1 through 4 (of 4 total)

You must be logged in to reply to this topic.